import { nextTick, ref, watch } from "vue";

export function useLoad(target: any, fn?: nullFunction) {
  const load = ref(true);
  watch(
    () => target,
    () => {
      load.value = false;
      nextTick(() => {
        load.value = true;
        fn && fn();
      });
    },
    { deep: true }
  );
  return load;
}
